interface IRegExp {
    pattern: string;
    flags?: string;
}
export interface ILanguageConfiguration {
    folding?: {
        offSide?: boolean;
        markers?: {
            start?: string | IRegExp;
            end?: string | IRegExp;
        };
    };
}
export declare function addCustomFoldingMarkers<T extends ILanguageConfiguration>(configuration: T): T;
export {};
